com.fasterxml.jackson.databind

## Class RuntimeJsonMappingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.fasterxml.jackson.databind.RuntimeJsonMappingException

- All Implemented Interfaces:
    java.io.Serializable

      public class RuntimeJsonMappingException
      extends java.lang.RuntimeException

  Wrapper used when interface does not allow throwing a checked `JsonMappingException`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeJsonMappingException(JsonMappingException cause)`
    `RuntimeJsonMappingException(java.lang.String message)`
    `RuntimeJsonMappingException(java.lang.String message, JsonMappingException cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeJsonMappingException

          public RuntimeJsonMappingException(JsonMappingException cause)

    - #### RuntimeJsonMappingException

          public RuntimeJsonMappingException(java.lang.String message)

    - #### RuntimeJsonMappingException

          public RuntimeJsonMappingException(java.lang.String message,
                                     JsonMappingException cause)